# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.pipeline_scheduled_run_api import PipelineScheduledRunApi  # noqa: E501
from swagger_client.rest import ApiException


class TestPipelineScheduledRunApi(unittest.TestCase):
    """PipelineScheduledRunApi unit test stubs"""

    def setUp(self):
        self.api = PipelineScheduledRunApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_delete_pipeline(self):
        """Test case for delete_pipeline

        delete pipeline-runs  # noqa: E501
        """
        pass

    def test_disable_pipeline_scheduled_run(self):
        """Test case for disable_pipeline_scheduled_run

        disable pipeline-run  # noqa: E501
        """
        pass

    def test_enable_pipeline_scheduled_run(self):
        """Test case for enable_pipeline_scheduled_run

        enable pipeline-run  # noqa: E501
        """
        pass

    def test_get_pipeline_schedule_run(self):
        """Test case for get_pipeline_schedule_run

        get pipeline-run  # noqa: E501
        """
        pass

    def test_get_pipeline_schedule_runs(self):
        """Test case for get_pipeline_schedule_runs

        get pipeline runs  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
